Get a project module
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/projects/{projectId}/modules/{moduleKey}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
projectIdstringrequiredmin length 1
moduleKeystringrequiredAllowed:
project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisserviceResponses
200OK
idstringrequiredprojectIdstringrequiredmoduleKeystringrequiredAllowed:
project-informationraumweiseheizlast-huellflaecheverbrauchwaermepumpejazwirtschaftlichkeitfoerderrechnerfoerderwissenschallrechnerchecku-wert-rechnerfoerderservicenachweisservicestatusstringrequiredAllowed:
not_starteddraftreadycalculatingcompletedsubmittedlockedfailedschemaVersionintegerrequiredmin -9007199254740991 · max 9007199254740991
payloadobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anyvalidationStateobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anylockedReasonstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anylastCompletedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X GET "https://app.bauhow.com/api/v1/projects/string/modules/project-information" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/projects/string/modules/project-information", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/projects/string/modules/project-information",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"projectId": "string",
"moduleKey": "project-information",
"status": "not_started",
"schemaVersion": 0,
"payload": {},
"validationState": {},
"lockedReason": "string",
"lastCompletedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}